#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision$
$LastChangedDate::                           $

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == "__main__":
    import unittest
    import os
    from symspace.osutils.pathutils import symspace_home

    loader = unittest.TestLoader()
    ''' top level directory has to be an importable package'''
    start_dir = os.path.join(symspace_home, 'System', 'General', 'Python', 'tests', 'lcm', 'math', 'rbf')
    suite = loader.discover(start_dir)
    runner = unittest.TextTestRunner(verbosity=2)
    runner.run(suite)

