#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 9194 $
$LastChangedDate:: 2019-06-12 18:24:37 +0200#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

import os
import pkgutil

'''Import all modules in the source directory to include all modules in the coverage report'''
for loader, name, is_pkg in pkgutil.walk_packages([os.path.join(os.path.dirname(os.path.dirname(__file__)), 'src')]):
    try:
        __import__(name)
        print(name)
    except Exception as e:
        print(e)
